using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OcadMapLibrary {

	public class MapColorRef {

		public MapColorRef() {
		}

		public MapColorRef(int mapColorID) {
			this.mapColorID = mapColorID;
		}

		int mapColorID;
		public int MapColorID {
			get {
				return mapColorID;
			}
			set {
				mapColorID = value;
			}
		}

		public bool Matches(MapColor mapColor) {
			if (mapColor == null) {
				return false;
			}
			if (mapColor.ID.Equals(mapColorID)) {
				return true;
			}
			return false;
		}

	}

}
